+++
title = "Comment obtenir votre certificat logiciel pour S2low ?"
description = "ADULLACT permet à ses adhérents d'obtenir leurs propres certificats logiciel pour S2low."
tags = [ "PKI", "Certificat" ]
date = "2010-09-09"
+++
{{< toc >}}

## Obtenir un certificat logiciel X.509

L'ADULLACT permet à ses adhérents d'obtenir leurs propres certificats logiciel X.509 pour administrer leur collectivité dans S2low.
Pour cela, un adhérent doit renseigner la [démarche de demande de certificat](https://demarches.adullact.org/commencer/demande-de-certificat-pour-administrer-ma-collecti).

Les tâches d'administration S2low consistent par exemple en la création d'autres comptes utilisateurs pour vôtre collectivité ou bien en la mise à jour de la classification. Ces certificats ne permettent pas de télétransmettre.

Une fois la demande de certificat effectuée, l'Adullact pourra l'instruire pour vous créer un certificat.
L'adresse mail du porteur du certificat indiquée dans la demande recevra le certificat X.509 au format PKCS12. Ce certificat pourra s'importer dans le magasin à certificats utilisé par votre navigateur web, afin de vous connecter à [https://www.s2low.org](https://www.s2low.org).

## Au sens de la norme X.509, un certificat pour quels usages ?

Aujourd'hui, au sens de la norme X.509 v3, le seul usage embarqué dans nos certificats est `TLS Web Client Authentication`.

## Informations complémentaires

L'Adullact utilise le [logiciel libre CFSSL](https://cfssl.org) comme moteur de ses autorités de certification. CFSSL est une sorte de couteau suisse, comme un SDK (Software Development Kit).

Pour s'interfacer avec une autorité de certification motorisé par CFSSL, l'Adullact a décidé de développer le [logiciel libre Tajine](https://gitlab.adullact.net/adullact/pki/tajine). Tajine est un gestionnaire de certificats qui donne un accès graphiques à la gestion des certificats.

Dans une version future de Tajine, nous ouvrirons la possibilité à nos adhérents de disposer d'un accès en tant que gestionnaire de certificats. Un gestionnaire de certificat pourra, de façon autonome, créer des certificats, voir et révoquer ses certificats.

Pour le moment, seul le personnel de l'Adullact dispose de cette possibilité.
